Index: trunk/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 32)
@@ -31,12 +31,12 @@
    !!   'key_autotasking' :                             j-k-i loop (j-slab)
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC ::   l_dyn_hpg_tsk = .TRUE.    ! ???
-   LOGICAL, PUBLIC ::   l_dyn_hpg     = .FALSE.   ! ???
+   LOGICAL, PUBLIC, PARAMETER ::   lk_dynhpg_tsk = .TRUE.    !: autotasked hpg flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_dynhpg     = .FALSE.   !: vector hpg flag
 #else
    !!----------------------------------------------------------------------
    !!   default case :                             k-j-i loop (vector opt.)
    !!----------------------------------------------------------------------   
-   LOGICAL, PUBLIC ::   l_dyn_hpg_tsk = .FALSE.   ! ???
-   LOGICAL, PUBLIC ::   l_dyn_hpg     = .TRUE.    ! ???
+   LOGICAL, PUBLIC, PARAMETER ::   lk_dynhpg_tsk = .FALSE.   !: autotasked hpg flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_dynhpg     = .TRUE.    !: vector hpg flag
 #endif
 
@@ -67,6 +67,6 @@
       !!      level. s-coordinates ('key_s_coord'): a corrective term is added
       !!      to the horizontal pressure gradient :
-      !!         zhpi = g .....  + 1/e1u mi(rhd) di[ g dep3w ]
-      !!         zhpj = g .....  + 1/e2v mj(rhd) dj[ g dep3w ]
+      !!         zhpi = grav .....  + 1/e1u mi(rhd) di[ grav dep3w ]
+      !!         zhpj = grav .....  + 1/e2v mj(rhd) dj[ grav dep3w ]
       !!      add it to the general momentum trend (ua,va).
       !!         ua = ua - 1/e1u * zhpi
@@ -104,5 +104,5 @@
       ! 0. Local constant initialization
       ! --------------------------------
-      zcoef0 = -g * 0.5
+      zcoef0 = - grav * 0.5
       zuap   = 0.e0
       zvap   = 0.e0
@@ -187,6 +187,6 @@
       !!      jk is computed by taking the vertical integral of the in-situ 
       !!      density gradient along the model level from the suface to that
-      !!      level:   zhpi = g .....
-      !!               zhpj = g .....
+      !!      level:   zhpi = grav .....
+      !!               zhpj = grav .....
       !!      add it to the general momentum trend (ua,va).
       !!            ua = ua - 1/e1u * zhpi
@@ -223,5 +223,5 @@
       ! 0. Local constant initialization
       ! --------------------------------
-      zcoef0 = -g * 0.5
+      zcoef0 = - grav * 0.5
       zuap   = 0.e0
       zvap   = 0.e0
@@ -342,6 +342,6 @@
       !!      jk is computed by taking the vertical integral of the in-situ
       !!      density gradient along the model level from the suface to that
-      !!      level:    zhpi = g .....
-      !!                zhpj = g .....
+      !!      level:    zhpi = grav .....
+      !!                zhpj = grav .....
       !!      add it to the general momentum trend (ua,va).
       !!            ua = ua - 1/e1u * zhpi
@@ -379,5 +379,5 @@
       ! 0. Local constant initialization
       ! --------------------------------
-      zcoef0 = -g * 0.5
+      zcoef0 = - grav * 0.5
       zuap   = 0.e0
       zvap   = 0.e0
Index: trunk/NEMO/OPA_SRC/DYN/dynhpg_atsk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynhpg_atsk.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynhpg_atsk.F90	(revision 32)
@@ -56,6 +56,6 @@
       !!      level. s-coordinate case ('key_s_coord'): a corrective term is
       !!      added to the horizontal pressure gradient :
-      !!         zhpi = g .....   + 1/e1u mi(rhd) di[ g dep3w ]
-      !!         zhpj = g .....   + 1/e2v mj(rhd) dj[ g dep3w ]
+      !!         zhpi = grav .....   + 1/e1u mi(rhd) di[ grav dep3w ]
+      !!         zhpj = grav .....   + 1/e2v mj(rhd) dj[ grav dep3w ]
       !!      add it to the general momentum trend (ua,va).
       !!         ua = ua - 1/e1u * zhpi
@@ -92,5 +92,5 @@
       ! 0. Local constant initialization
       ! --------------------------------
-      zcoef0 = -g * 0.5
+      zcoef0 = - grav * 0.5
 
       !                                                ! ===============
@@ -174,6 +174,6 @@
       !!      jk is computed by taking the vertical integral of the in-situ
       !!      density gradient along the model level from the suface to that 
-      !!      level:    zhpi = g .....
-      !!                zhpj = g .....
+      !!      level:    zhpi = grav .....
+      !!                zhpj = grav .....
       !!      add it to the general momentum trend (ua,va).
       !!            ua = ua - 1/e1u * zhpi
@@ -210,5 +210,5 @@
       ! 0. Local constant initialization
       ! --------------------------------
-      zcoef0 = -g * 0.5
+      zcoef0 = - grav * 0.5
       zuap   = 0.e0
       zvap   = 0.e0
@@ -313,6 +313,6 @@
       !!      jk is computed by taking the vertical integral of the in-situ  
       !!      density gradient along the model level from the suface to that
-      !!      level:    zhpi = g .....
-      !!                zhpj = g .....
+      !!      level:    zhpi = grav .....
+      !!                zhpj = grav .....
       !!      add it to the general momentum trend (ua,va).
       !!            ua = ua - 1/e1u * zhpi
@@ -351,5 +351,5 @@
       ! 0. Local constant initialization
       ! --------------------------------
-      zcoef0 = -g * 0.5
+      zcoef0 = - grav * 0.5
 
       !                                                ! ===============
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 32)
@@ -465,5 +465,5 @@
 CONTAINS
    SUBROUTINE dyn_ldf_bilapg( kt )               ! Dummy routine
-      WRITE(*,*) kt
+      WRITE(*,*) 'dyn_ldf_bilapg: You should not have seen this print! error?', kt
    END SUBROUTINE dyn_ldf_bilapg
 #endif
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_iso.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 32)
@@ -251,5 +251,5 @@
 CONTAINS
    SUBROUTINE dyn_ldf_iso( kt )               ! Empty routine
-      WRITE(*,*) kt
+      WRITE(*,*) 'dyn_ldf_iso: You should not have seen this print! error?', kt
    END SUBROUTINE dyn_ldf_iso
 #endif
Index: trunk/NEMO/OPA_SRC/DYN/dynnxt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 32)
@@ -35,6 +35,6 @@
       !!      After velocity is compute using a leap-frog scheme environment:
       !!         (ua,va) = (ub,vb) + 2 rdt (ua,va)
-      !!      Note that if "key_dynspg_fsc" defined, the time stepping 
-      !!      has already been performed in dynspg.F routine
+      !!      Note that if lk_dynspg_fsc=T, the time stepping has already been
+      !!      performed in dynspg module
       !!      Time filter applied on now horizontal velocity to avoid the
       !!      divergence of two consecutive time-steps and swap of dynamics
Index: trunk/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 32)
@@ -27,7 +27,7 @@
 
    !! * Shared module variables
-   LOGICAL, PUBLIC ::   ln_dynvor_ene = .FALSE.   ! energy conserving scheme
-   LOGICAL, PUBLIC ::   ln_dynvor_ens = .TRUE.    ! enstrophy conserving scheme
-   LOGICAL, PUBLIC ::   ln_dynvor_mix = .FALSE.   ! mixed scheme
+   LOGICAL, PUBLIC ::   ln_dynvor_ene = .FALSE.   !: energy conserving scheme
+   LOGICAL, PUBLIC ::   ln_dynvor_ens = .TRUE.    !: enstrophy conserving scheme
+   LOGICAL, PUBLIC ::   ln_dynvor_mix = .FALSE.   !: mixed scheme
 
    !! * Substitutions
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_iso.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_iso.F90	(revision 31)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_iso.F90	(revision 32)
@@ -387,5 +387,5 @@
 CONTAINS
    SUBROUTINE dyn_zdf_iso( kt )                        ! Dummy routine
-      WRITE(*,*) kt
+      WRITE(*,*) 'dyn_zdf_iso: You should not have seen this print! error?', kt
    END SUBROUTINE dyn_zdf_iso
 #endif
